%define		version 1.1.18
%define		release 1%{?dist}

%define		gtkhtml libgtkhtml-3.8


Summary:	A graphical MySQL query shell
Name:		mysql-query-browser
Version:	%{version}
Release:	%{release}
Group:		Applications/Databases
License:	GPL
URL:		http://www.mysql.com/products/query-browser
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	bf9cae997cc6ac833e68dafff580c315
Patch0:		mysql-query-browser-1.1.18.patch 
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libglade2-devel >= 2.0.0, gtkmm24-devel >= 2.4.0
BuildRequires:	pcre-devel >= 3.9, gettext, mysql-devel, gtkhtml3-devel

%description
MySQL Query Browser is a GUI tool for executing SQL queries.
It will display the result in a list where you can edit its contents
and save. It has several auxiliar features to facilitate work, such
as query "bookmarking", query history, syntax highlighting and online
help.

It's part of the MySQL Developer Suite.


%prep
%setup -q -n %{name}-%{version}/mysql-gui-common
%setup -q -n %{name}-%{version}/%{name}

cd ..
%patch0 -p1

%build

# first we have to build the common libs
cd ../mysql-gui-common
%configure --with-commondirname=query-browser
%{__make} %{?_smp_mflags}

# then the app itself
cd ../%{name}
%configure --with-commondirname=query-browser --with-gtkhtml=%{gtkhtml}
%{__make} -i %{?_smp_mflags} %{?qblibs}
#(cd source/linux; ./static_make)

%install
%{__rm} -rf $RPM_BUILD_ROOT
cd ../mysql-gui-common
%{__make} DESTDIR=$RPM_BUILD_ROOT install

cd ../%{name}
%{__make} DESTDIR=$RPM_BUILD_ROOT install

%{__install} -d $RPM_BUILD_ROOT%{_datadir}/mysql-gui/doc/query-browser/
%{__cp} -a doc/* $RPM_BUILD_ROOT%{_datadir}/mysql-gui/doc/query-browser/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%doc COPYING
%attr(0755,root,root) %{_bindir}/mysql-query-browser
%attr(0755,root,root) %{_bindir}/mysql-query-browser-bin
%{_datadir}/applications/*.desktop
%{_datadir}/mysql-gui/*.png
%dir %{_datadir}/mysql-gui/query-browser
%{_datadir}/mysql-gui/query-browser/*
%{_datadir}/mysql-gui/doc/query-browser/*
%{_datadir}/locale/*


%changelog
* Mon Jul 17 2006 Wojciech Gabor <tuptus@turox.org>
- rebuild on Aurox 12.0

* Tue Jul  4 2006 Wojciech Gabor <tuptus@turox.org>
- fix problem in start

* Fri Jun 23 2006 Wojciech Gabor <tuptus@turox.org>
- Initial build on Aurox 11.1

* Sat Apr  3 2004 Alfredo Kojima <alfredo@mysql.com> 0.1.0_alpha-1
- initial RPM packaging

